function view_objects_plots(h1, h2, hImage, im, annotation, obj_num, show, col, data)

if 1%plot_im
   subplot(h1);
   cla;
   imshow(im);   
   axis equal;
   whitebg('k');
   %set(gca, 'XlimMode', 'auto');
   %set(gca, 'YlimMode', 'auto');
end;

im_num = '';
if isfield(show, 'im_num')
    im_num = int2str(show.im_num);
end;
set(hImage, 'Title', ['Image ' im_num ' :  ' annotation.imname ',   object: ' sprintf('%d', obj_num)]);


if isfield(show, 'show2dbox'), show2dbox = show.show2dbox; else show2dbox = 0; end;
if isfield(show, 'showall'), showall = show.showall; else showall = 0; end;

subplot(h1);
imsize = size(im);
imshow(im);

if show2dbox       
   subplot(h1);
   hold on;
   lw = 2.5;
   if showall, vizbox = ones(size(annotation.bboxes, 1), 1); 
   else vizbox = zeros(size(annotation.bboxes, 1), 1); vizbox(obj_num) = 1; end;
   for i = 1 : size(annotation.bboxes, 1)
       if vizbox(i)
       box2d = annotation.bboxes(i, :);
       cls = annotation.class{i};
       if ~numel(cls), cls = ''; end;
       if numel(box2d) & ~all(box2d == 0)
          %if i==obj_num
              rectangle('position', box2d, 'edgecolor',col.box2dcol,'linestyle','-','linewidth',lw);
              text(box2d(1, 1)+4, box2d(1, 2)+5, cls, 'BackgroundColor',col.annot_col,'Fontsize',11,'fontweight','bold','Color',[0,0,0]);
          %else
          %    rectangle('position', box2d, 'edgecolor',col.box2dcol_na,'linestyle','-','linewidth',lw);
          %    text(box2d(1, 1)+4, box2d(1, 2)+5, cls, 'BackgroundColor',col.annot_col_na,'Fontsize',7,'fontweight','bold','Color',[0,0,0]);
          %end;
        end;
       end;
   end;
   hold off;
end;
